## screen 4.0.3-0.3osso4%2b0m5

=== debian/changelog ===
screen (4.0.3-0.3osso4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 18 Jun 2009 15:53:24 +0300

screen (4.0.3-0.3osso4) unstable; urgency=low

  * Fixes: NB#122140 backspace in osso-xterm

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 18 Jun 2009 15:30:04 +0300

screen (4.0.3-0.3osso3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:37:04 +0300

screen (4.0.3-0.3osso3) unstable; urgency=low

  * rebuilt with new ncurses

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:16:53 +0300

screen (4.0.3-0.3osso2) unstable; urgency=low

  * Make /var/run/screen 775
  * Set maemo integration as a maintainer

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 14 May 2007 14:13:53 +0300

screen (4.0.3-0.3osso1) unstable; urgency=low

  * Depend from ncurses-base
  * Disable pam
  * Don't build-depend from libpam0g-dev

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu, 26 Apr 2007 14:05:22 +0300

screen (4.0.3-0.3) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n isses.
  * Debconf translations:
    - Galician. Closes: #407960
    - Catalan. Closes: #412581
    - Convert all PO files, but Japanese, to UTF-8
  * Add an empty binary-indep target to debian/rules. Closes: #395743
  * Provide a simple LSB header to the init script

 -- Christian Perrier <bubulle@debian.org>  Mon,  5 Mar 2007 09:14:35 +0100

screen (4.0.3-0.2) unstable; urgency=low

  * Non-maintainer upload to fix a forgotten l10n issue in last NMU
  * Debconf translation updates:
    - Added Vietnamese. Closes: #317922
  * Modify the debconf dependency to better handle the cdebconf transition
    Closes: #332089

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Nov 2006 20:46:01 +0100

screen (4.0.3-0.1) unstable; urgency=high

  * Non-maintainer upload to fix a security issue
  * New upstream version fixing utf8 combining characters handling. The
    bugs could be used to crash/hang screen by writing a special string
    to a window (CVE-2006-4573). Closes: #395225
  * Debconf translation updates:
    - Finnish added. Closes: #303818
    - Swedish added. Closes: #331583
    - Portuguese added. Closes: #345059
    - Italian updated. Closes: #358160

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Oct 2006 07:35:57 +0200

screen (4.0.2-4.1) unstable; urgency=low

  * Non-maintainer upload
  * re-run autoconf, fix ftbfs                             (closes: #269366)

 -- David Kimdon <dwhedon@debian.org>  Sat, 13 Nov 2004 20:49:00 -0800

screen (4.0.2-4) unstable; urgency=low

  * new debconf translations:
    * Japanese - thanks Hideki Yamane                       (closes: #224175)
    * Italian - thanks Fabio Pani                           (closes: #224580)
    * Simplified Chinese - thanks Carlos Z.F. Liu           (closes: #230811)
    * Dutch - thanks Luk Claes                              (closes: #244326)
    * Czech - thanks Miroslav Kure                          (closes: #261243)

  * updated Danish translation  - thanks Morten Brix Pedersen (closes: #241241)

 -- Adam Lazur <zal@debian.org>  Tue, 24 Aug 2004 20:09:08 -0400

screen (4.0.2-3) unstable; urgency=high

  * security: fix hole in stale session cleanup init script which allows
    arbitrary file deletion on startup. Thanks to Roderick Schertler for
    pointing this out.                                      (closes: #238139)

 -- Adam Lazur <zal@debian.org>  Mon, 15 Mar 2004 20:46:35 -0500

screen (4.0.2-2) unstable; urgency=low

  * fix depends on passwd to include epoch                   (closes: #224192)

 -- Adam Lazur <zal@debian.org>  Tue,  6 Jan 2004 23:12:51 -0500

screen (4.0.2-1) unstable; urgency=low

  * ack NMU                                         (closes: #223085, #222420)
  * add rxvt to scrollback example in README.Debian and /etc/screenrc
                                                             (closes: #206193)
  * fix typo in example bind line in screenrc                (closes: #214727)
  * add Brazilian Portuguese debconf translation (thanks Andre Luis Lopes)
                                                             (closes: #218809)
  * add screen to /etc/shells                                (closes: #148715)

 -- Adam Lazur <zal@debian.org>  Sat,  6 Dec 2003 18:25:10 -0500

screen (4.0.2-0.1) unstable; urgency=medium

  * NMU
  * New upstream release. No upstream changelog found. ansi.c has been changed
    to fix CAN-2003-0972, a signed integer overflow that allowed for arbitrary 
    code execution as group utmp (or as root on systems where screen was 
    installed setuid root). (Addresses #222385 for sid)
  * [debian/rules] Changed the order of chmod/chown of the screen binary and
    the run directory to chown, chmod as chown no longer preserves setuid and
    setgid bits as of coreutils 5.0.1. (Closes: #222420)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  6 Dec 2003 18:43:11 +0100

screen (4.0.1-3) unstable; urgency=low

  * fix autoconf varargs detection (using vsprintf) on alpha, which leads to
    a binary that segfaults                                  (closes: #213842)

 -- Adam Lazur <zal@debian.org>  Thu,  2 Oct 2003 23:14:39 -0400

screen (4.0.1-2) unstable; urgency=low

  * build-depend on libncursesw5 to get autoconf to pick it up... doh

 -- Adam Lazur <zal@debian.org>  Tue, 30 Sep 2003 23:40:11 -0400

screen (4.0.1-1) unstable; urgency=low

  * New Upstream Release                                     (closes: #210280)
    * rewritten command parser
    * zmodem support (catch & passthrough)
    * new screenblanker

  * remove bindkey -kb from system screenrc as advised by upstream
                                                             (closes: #187302)

