## screen 4.1.0~20110819git450e8f3

=== debian/changelog ===
screen (4.1.0~20110819git450e8f3-1) experimental; urgency=low

  [ Brian P Kroth ]
  * New upstream snapshot based on 4.1.0 prerelease 20101110git066b098 as
    packaged by Fedora 15 (Closes: #641867)
  * Removed the following patches which have been applied upstream or are
    otherwise no more necessary:
    - 01CVS
    - 02configure_use_ncursesw
    - 03fully_expand_screenencodings
    - 09CHERRY_*
    - 15manpage_typos
    - 16fix_gcc_warnings_II
    - 18manpage_maxwin_limit
    - 19flowcontrol_lockup
    - 20defmonitor
    - 21manpage_nethack_activation
    - 25allow_symlink_sockdir
    - 27doc_sty_noenvpassing
    - 28blankerprg_callsemantics
    - 29infodoc_version
    - 31upstream_cherries
    - 33increase_max_winmsg_renditions
    - 35screen_invoked_with_a_command
    - 40cjk_eastasian
    - 50EXP_tilde_expansion
  * Refreshed the following patches:
    - 10norootpassword
    - 14size_matters
    - 26source_encoding
  * Added patches from Fedora:
    - 47screen-cc: Additional assertions to improve stability
    - 48screen-ipv6: IPv6 support for built-in telnet
  * Enable telnet (Closes: #353090) and localized day/month names

  [ Axel Beckert ]
  * Add myself as Uploader.
  * Remove Adam Lazur from Uploaders. (Closes: #603009)
  * New upstream snapshot based on 4.1.0 prerelease, commit 450e8f3 of
    2011-Aug-19. (LP: #183849)
    - Fixes a crash when attaching to a layout that was created while
      detached. (Closes: #591624, LP: #786292, #788670)
    - Raises MAXWIN to 100 (Closes: #450421)
    - No more segfaults if resized to 0 or 1 line tall (Closes: #532240,
      LP: #315237)
    - screen -d -m no more segfaults on setenv without value (Closes: #496750)
    - Now has tsl, fsl and dsl terminfo caps (Closes: #152961)
    - Windows created with "-d -m" no more ignore "-X exec" (Closes: #481411)
    - Now has a session name string escape (Closes: #488619)
    - Re-optimize screen updates (Closes: #621704, LP: #588846)
    - No more mishandles xterm control string to set window title (Closes:
      #344759) Thanks to Thomas Dickey and Sadrul Habib Chowdhury.
    - Fixes/Relaxes requirement for a controlling terminal (Closes: #461107)
    - Uses fuzzy-matching for session names only if required (Closes: #361274)
    - Has customizable digraphs (Closes: #25096, a wishlist bug from 1998! :-)
    - Fixes a bug with displaying blank spaces with bce on. (Closes: #578729,
      LP: #702094)
    - Fix using alternate screen buffers in some cases. (Closes: #558724)
    - Several fixes for handling mouse events. (Closes: #223320)
  * Remove the patches which have been applied upstream or are
    otherwise no more necessary:
    - 17manpage_sessionname_warning
    - 30fix_fsf_address
  * Refreshed the following patches:
    - 10norootpassword
    - 11replace_doc_paths
    - 12kfreebsd_ctty
    - 14size_matters
    - 16fix_gcc_warnings
    - 22exchange_file_mode
    - 23exitcode_q_ls
    - 24option_parser
    - 32misc_minor_fixes
  * Refreshed and renumbered the following patches:
    - {51 => 80}EXP_session_creation_time
  * Added patches:
    - 46fix-keybinding-typo-in-manpage (Closes: #630535, #541793)
    - 49long-usernames (Closes: #560231, LP: #582153)
    - 50increase-max-TERM-length
  * Use dh_autoreconf
    - Build-Depend on dh-autoreconf
  * Convert to source format "3.0 (quilt)"
    - Remove build dependency on dpatch
  * Bump Standards-Version to 3.9.2 (no changes)
  * Update debian/copyright
    - Upstream switched to GPLv3
    - Update debian packaging information
  * Fix lintian warning debian-rules-missing-recommended-target
  * Add lintian override for
    possibly-insecure-handling-of-tmp-files-in-maintainer-script
  * /etc/init.d/screen-cleanup: check for existence of screen binary
    (Closes: #612990)
  * Add Vcs-* headers
  * Add extend-diff-ignore=config\.h\.in to debian/source/options
  * Added a NEWS file stating problems to attach to a detached 4.0.3
    session with a 4.1.0 screen, e.g. during a dist-upgrade
  * Suggest iselect, screenie or byobu (Closes: #176626)

 -- Axel Beckert <abe@debian.org>  Sun, 09 Oct 2011 03:29:31 +0200

screen (4.0.3-14+hurd.1) unreleased; urgency=low

  * Fix #522689.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Mar 2011 23:28:56 +0000

screen (4.0.3-14) unstable; urgency=low

  * Cherry-pick a few upstream commits:
    * f6b50e17 (create windows in detached session, closes: #466072).
    * 97708d58 (vertical split documentation, closes: #525998).
    * bb04008e (report session identifier on detach, closes: #199747).
  * Slightly adjust Homepage field.
  * Add support for build option 'noopt'.
  * Bump Standards version to 3.8.2, no changes.
  * Specify GPL version in d/copyright.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Tue, 28 Jul 2009 13:21:24 +0200

screen (4.0.3-13) unstable; urgency=low

  * Sync with Ubuntu, closes: #520359. New dpatches:
    * 33increase_max_winmsg_renditions
    * 35screen_invoked_with_a_command (cherry-picked from upstream)
  * Bump Standards version to 3.8.1 (again, no changes).
  * Accommodate initscript to adjust the $SCREENDIR permissions
    correctly even if /usr/bin/screen is installed 0755.
    Add a Q&A pair to README.Debian to clarify this problem.
    Closes: #520317.
  * Fix #433338 properly by keeping the umask instead of dropping
    the 'public exchange file' concept. Modify dpatch 22.
    Addresses CVE-2009-1214, CVE-2009-1215, closes: #521123.
  * Depend on patch-stamp instead of patch in debian/rules.
    (Phony targets as intermediates in a dep chain are braindead.)
  * Fix job control and CTTY handling on our new kfreebsd archs.
    Closes: #522689. Thanks to Axel Beckert for his support!

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 10 Apr 2009 18:20:49 +0200

screen (4.0.3-12) unstable; urgency=low

  * Back to work.
  * Make the package build lintian-clean again.
  * Add a Homepage field. Closes: #515803.

