## screen 4.1.0~20120320gitdb59704

=== debian/changelog ===
screen (4.1.0~20120320gitdb59704-9) unstable; urgency=low

  * Build-Conflict against libelf-dev on non-linux (Closes: #684386)
  * Allow /dev/console to be a symlink. (Closes: #701173) Thanks to Igor
    Pashev for the report and patch.
  * screen-cleanup init.d script: Label /var/run/screen for SE Linux
    (Closes: #680360)
  * Add a package with debugging symbols (Closes: #715170)
  * Ensure that the title prompt can only appear once. (Closes: #625866)
  * No more pass --update-rcd-params='start 70 S .' to dh_installinit. The
    LSB headers of the init script already contain all necesssary
    information. (Closes: #717553)
  * Expand 50increase-max-TERM-length.patch to also allow larger terminal
    type names when using the "term" command interactively from inside
    screen or from .screenrc. (Closes: #491812)

 -- Axel Beckert <abe@debian.org>  Mon, 22 Jul 2013 21:37:24 +0200

screen (4.1.0~20120320gitdb59704-8) unstable; urgency=low

  * Update debian/patches/13split_info_files.patch to change now ambiguous
    makeinfo option --split to --split-size. Fixes FTBFS with texinfo 5.x.
    (Closes: #707530)
  * Use doc/screen.info* instead of listing every file individually in
    debian/info.
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency
  * Revamp debian/rules
    + Use dh_auto_{configure,build}
    + Drop DPKG_EXPORT_BUILDFLAGS and /usr/share/dpkg/buildflags.mk
    + Drop manual DEB_BUILD_OPTIONS parsing
    + Use debian/clean instead of dh_clean parameters and add some more
      files to clean up
    + Use dh_install and debian/install instead of install and cp
    + Simplify variable usage
    + Fix dh_clean vs dh_prep in install target
    + No more ignore dh_installman errors
    + Finally switch to a dh7 style debian/rules file
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort.
  * Fix lintian warning package-contains-info-dir-file

 -- Axel Beckert <abe@debian.org>  Mon, 20 May 2013 17:04:14 +0200

screen (4.1.0~20120320gitdb59704-7) unstable; urgency=low

  * Extend 60-644788-screen-4.1.0-4.0.3-interoperability.patch:
    + Add support for detaching (Closes: #684342)
    + Document remaining issues in debian/NEWS

 -- Axel Beckert <abe@debian.org>  Sun, 16 Sep 2012 13:42:12 +0200

screen (4.1.0~20120320gitdb59704-6) unstable; urgency=low

  * Apply patch by Julien Cristau <jcristau@debian.org> to add 4.0.3
    interoperability. (Closes: #683228; fixing the issue properly instead
    of working around it. Thanks!)
    + Drop all debconf handling and translations of debconf templates
      (Closes: #679747, #683227; Thanks Beatrice Torracca and Christian
      Perrier!)
    + Drop build-depends on po-debconf and pre-depends on debconf
    + Drop debian/NEWS (Closes: #678950)
    + Remove no more necessary lintian override
  * Screen's info pages are now split over more files than before. Also
    include the new file doc/screen.info-6 (Closes: #682283)

 -- Axel Beckert <abe@debian.org>  Tue, 07 Aug 2012 08:54:42 +0200

screen (4.1.0~20120320gitdb59704-5) unstable; urgency=low

  * Disable patch 52fix_screen_utf8_nfd.patch since it introduced a
    regression (Closes: #677512, Reopens: #600246)
  * Fix bug number of Slovak debconf translation in
    4.1.0~20120320gitdb59704-3 changelog entry
  * Use GMANE URLs for refering to upstream discussions as lists.gnu.org
    doesn't support threading over month boundaries. (Thanks Evgeni
    Golov!)
  * Add translations of debconf templates:
    + Romanian (Closes: #679366; Thanks Andrei POPESCU!)
  * Update translations of debconf templates:
    + German (Closes: #679452; Thanks Helge Kreutzmann!)

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jun 2012 15:27:26 +0200

screen (4.1.0~20120320gitdb59704-4) unstable; urgency=low

  * Fix missing quoting in debian/config's dpkg --compare-version call
    (Closes: #678207)
  * Update NEWS.Debian entry. Now includes how to resurrect running
    screen 4.0.3 sessions including generic commands for copy and
    paste. (Closes: #678181)
  * Set sticky bit on /var/run/screen if screen is not setuid or setgid
    (Closes: #592895)
  * Fix race condition when creating directories in /var/run/screen/.
    (Closes: #653434)
  * Add translations of debconf templates
    + Norwegian Bokmål (Closes: #678112; Thanks Bjørn Steensrud!)
    + Polish (Closes: #678158; Thanks Michał Kułach!)
    + Galician (Closes: #678469; Thanks Jorge Barreiro!)
    + French (Closes: #678548; Thanks David Prévot!)
    + Czech (Closes: #678669; Thanks Michal Šimůnek!)
    + Spanish (Closes: #678891; Thanks Fernando C. Estrada!)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Jun 2012 23:54:09 +0200

screen (4.1.0~20120320gitdb59704-3) unstable; urgency=low

  * Fix workaround for #644788 (detect running screen in maintainer
    scripts) on kfreebsd (Closes: #677227)
  * Update revised debconf templates and package description received from
    the debian-l10n-english team (Closes: #677303)
  * Add translations of debconf templates
    + Simplified Chinese (Closes: #677726; Thanks Aron Xu!)
    + Danish (Closes: #677748; Thanks Joe Hansen!)
    + Swedish (Closes: #677752; Thanks Martin Bagge!)
    + Slovak (Closes: #677848; Thanks Miguel Figueiredo!)
    + Portuguese (Closes: #677838; Thanks Miguel Figueiredo!)
    + Russian (Closes: #678021; Thanks Yuri Kozlov!)
  * Updated German translation
  * Run debconf-updatepo automatically in clean target
    + Add build-dependency on po-debconf

 -- Axel Beckert <abe@debian.org>  Mon, 18 Jun 2012 21:10:49 +0200

screen (4.1.0~20120320gitdb59704-2) unstable; urgency=low

  * Upload to unstable as the two RC issues which the experimental package
    had, are now resolved or at least workarounded:
    - Copy /usr/bin/screen to /tmp/screen-4.0.3 on upgrade from pre-4.1.0
      and use debconf to inform the user about it. (Closes: #644788)
    - Add patch to fix terminal handling on kfreebsd (Closes: #660567)

