=== debian/watch ===
# $Id: watch,v 1.1 2002/07/08 14:07:18 laz Exp $
version=2
# This is a variant HTTP format with more possibilities:
# Homepage  Pattern  [Version  [Action]]
opts=pasv ftp://ftp.uni-erlangen.de/pub/utilities/screen/screen-(\d.*)\.tar\.gz
