## screen 4.1.0~20130902

=== debian/changelog ===
screen (4.1.0~20130902-1) stable; urgency=low

  * New upstream (git b8d11d7b9c40f295ae261aa5a82586e935e041df).
  * Disable "no root password" and "fix gcc warnings" patches -
    they do not apply cleanly.

 -- Wessel Dankers <wsl@fruit.je>  Tue, 18 Feb 2014 20:29:53 +0100
