## screen 4.2.1

=== debian/changelog ===
screen (4.2.1-2~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1353692)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 09 Aug 2014 10:12:14 +0200

screen (4.2.1-2) unstable; urgency=low

  * Upload to unstable again
  * Enable parallel building

 -- Axel Beckert <abe@debian.org>  Sat, 26 Jul 2014 14:05:20 +0200

screen (4.2.1-1) experimental; urgency=low

  * New upstream release

    Dropped patches applied or obsoleted upstream:
    + 01configure_fix_alpha_vsprintf.patch
    + 03-fix-terminal-handling-on-kfreebsd.patch
    + 05fix_osdef_include.patch
    + 06-fix-parallel-build.patch
    + 10norootpassword.patch
    + 12kfreebsd_ctty.patch
    + 14size_matters.patch
    + 16fix_gcc_warnings.patch
    + 22exchange_file_mode.patch
    + 23exitcode_q_ls.patch
    + 24option_parser.patch
    + 32misc_minor_fixes.patch
    + 46fix-keybinding-typo-in-manpage.patch
    + 47screen-cc.patch
    + 49long-usernames.patch
    + 50increase-max-TERM-length.patch
    + 51fix-utf8-status-padding-bug.patch
    + 53fix-startup-race-condition.patch
    + 59-fix-manpage-warnings.patch
    + 61-allow-dev-console-to-be-a-symlink.patch
    + 62-prevent-repeated-title-prompt.patch

    Also dropped patch 60-644788-screen-4.1.0-4.0.3-interoperability.patch
    as it was only necessary for the migration from Squeeze to Wheezy and
    from Precise to Trusty.

    Refreshed and/or updated the following remaining patches:
    + 11replace_doc_paths.patch
    + 48screen-ipv6.patch
    + 58-show-encoding-hardstatus.patch
    + 80EXP_session_creation_time.patch

    New patches:
    + Fix wrong version in upstream's top-level Makefile.
    + Set values in os.h to those from 49long-usernames and
      50increase-max-TERM-length and set MSG_VERSION back to 2 to ensure
      backwards compatibility in Debian. (See #644788 for the discussion
      with older releases.)

  * Update line-numbers in lintian overrides.
  * Add README.source explaining which patch is needed for the clean target.

 -- Axel Beckert <abe@debian.org>  Thu, 05 Jun 2014 23:50:40 +0200

screen (4.2.0-2) unstable; urgency=low

  * Upload to unstable

 -- Axel Beckert <abe@debian.org>  Mon, 28 Apr 2014 02:32:48 +0200

screen (4.2.0-1) experimental; urgency=low

  * New upstream release
    Refreshed patches:
    + 10norootpassword.patch
    + 11replace_doc_paths.patch
    + 14size_matters.patch
    + 16fix_gcc_warnings.patch
    + 46fix-keybinding-typo-in-manpage.patch
    + 47screen-cc.patch
    + 48screen-ipv6.patch
    + 51fix-utf8-status-padding-bug.patch
    + 59-fix-manpage-warnings.patch

 -- Axel Beckert <abe@debian.org>  Thu, 17 Apr 2014 15:09:54 +0200

screen (4.1.0~20120320gitdb59704-10) unstable; urgency=medium

  * Extend 49long-usernames.patch to also cover multiuser usage (Closes:
    #735554) Thanks Martin von Wittich!
  * Add systemd variant of /etc/init.d/screen-cleanup (Closes: #740301)
    + Update README.Debian and NEWS.Debian accordingly
    + Bump versioned debhelper build-dependency to 9.20130504 to ensure
      systemd support in dh_installinit.
    Thanks Josh Triplett for help and patches!
  * Add a debian/upstream/metadata file according to DEP-12.
  * Bump Standards-Version to 3.9.5 (no changes).
  * debian/watch:
    + Update to use GNU's and Savannah's servers (old location at
      uni-erlangen.de no more exist)
    + Check upstream GPG signature and add upstream signing key as
      debian/upstream/signing-key.asc

 -- Axel Beckert <abe@debian.org>  Thu, 17 Apr 2014 11:45:17 +0200
