=== debian/control ===
Source: screen
Section: misc
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9.20130504~),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libncursesw5-dev,
               libpam0g-dev,
               texinfo
Build-Conflicts: libelf-dev [!linux-any]
Homepage: http://savannah.gnu.org/projects/screen
Vcs-Git: git://anonscm.debian.org/collab-maint/screen.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git

Package: screen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: iselect (>= 1.4.0-1) | screenie | byobu
Description: terminal multiplexer with VT100/ANSI terminal emulation
 GNU Screen is a terminal multiplexer that runs several separate "screens" on
 a single physical character-based terminal. Each virtual terminal emulates a
 DEC VT100 plus several ANSI X3.64 and ISO 2022 functions. Screen sessions
 can be detached and resumed later on a different terminal.
 .
 Screen also supports a whole slew of other features, including configurable
 input and output translation, serial port support, configurable logging,
 and multi-user support.

Package: screen-dbg
Section: debug
Architecture: any
Priority: extra
Depends: screen (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for GNU Screen
 GNU Screen is a terminal multiplexer that runs several separate "screens" on
 a single physical character-based terminal.
 .
 This package contains the debugging symbols for GNU Screen.
