=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://ftp.gnu.org/gnu/screen/screen-([\d\.]+)\.tar\.gz

opts=pgpsigurlmangle=s/$/.sig/ \
http://download.savannah.gnu.org/releases/screen/screen-([\d\.]+)\.tar\.gz
