## screen 4.3.1

=== debian/changelog ===
screen (4.3.1-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: DoS via crafted UTF-8 character sequence
    - debian/patches/99_CVE-2021-26937.patch: fix out of bounds array
      access in encoding.c.
    - CVE-2021-26937

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 23 Feb 2021 12:52:43 -0500

screen (4.3.1-2build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:42 +0000

screen (4.3.1-2) unstable; urgency=high

  * Cherry-pick upstream patch to fix a stack overflow which can be used
    crash the SCREEN server process and hence can be used for denial of
    service (and possible even worse) attacks. (Closes: #797624)
  * Suggest ncurses-term as it can solve cases where screen refuses to
    work due to an unknown terminal given in $TERM. (Closes: #609656)
  * Remove Jan Christoph Nordholz from Uploaders as suggested by the MIA
    team. Thanks for all your work on screen, Jan!
  * Override lintian warning systemd-no-service-for-init-rcS-script, it's
    a false positive. (More or less closes: #796690)

 -- Axel Beckert <abe@debian.org>  Tue, 01 Sep 2015 17:07:42 +0200

screen (4.3.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Axel Beckert <abe@debian.org>  Mon, 29 Jun 2015 12:43:56 +0200

screen (4.3.0-2) unstable; urgency=low

  * Upload to unstable again.
  * Re-add debian/dirs with /etc/tmpfiles.d/ and add a comment why screen
    ships an empty directory.
    + Fixes regression introduced in 4.2.1-4: If systemd is not installed
      and screen is either setuid or neither setuid nor setgid,
      /var/lib/dpkg/info/screen.postinst bailed out with "16:
      /var/lib/dpkg/info/screen.postinst: cannot create
      /etc/tmpfiles.d/screen-cleanup.conf: Directory nonexistent".
    + See comment in debian/dirs for more detailed reasoning.
  * No more ship /lib/systemd/system/screen-cleanup.service in the package
    but link it to /dev/null in postinst and remove the link again in
    postrm. (LP: #1462692)
  * Add fixed bugs reported in Ubuntu to previous changelog entry.
  * Apply wrap-and-sort.

 -- Axel Beckert <abe@debian.org>  Wed, 17 Jun 2015 21:57:18 +0200

screen (4.3.0-1) experimental; urgency=low

  * New upstream release
    + Drop 00-fix-version-in-Makefile.patch (obsolete) and remove 4.2.1
      upstream tar ball notes from README.Debian.
    + Drop 48screen-ipv6.patch, applied upstream.
    + Drop all patches cherry-picked from upstream.
    + Refresh patches 11replace_doc_paths.patch, 26source_encoding.patch,
      58-show-encoding-hardstatus.patch,
      60-screen-4.2.1-debian4.1.0-compatibility.patch,
      80EXP_session_creation_time.patch
    + Update line numbers in hyphen-used-as-minus-sign lintian overrides.
    + Fixes segfault if hardstatus and maxwin are used together. (Closes:
      #707044)
    + Adds feature "firstline" for a status line in the first line at the
      top of the terminal window. (Closes: #512342, #548845)
    + Fixes documentation of -R/-RR in man page. (LP: #1459653)

 -- Axel Beckert <abe@debian.org>  Sun, 14 Jun 2015 00:58:44 +0200

screen (4.2.1-4) unstable; urgency=medium

  * Drop dh_installchangelogs override to install the new ChangeLog to
    /usr/share/doc/screen/changelog.gz
  * Mention in README.source that Grml's Jenkins builds screen snapshots.
  * Make all patch headers DEP3 compliant. Add bug report numbers, etc.
  * Change priority from optional to standard. (Closes: #783524)
  * Declare package as autopkgtestable to make ci.d.n run the test suite.
  * Install all NEWS files as docs, also those from elder releases.
  * debian/copyright:
    + Convert to machine-readable DEP5 format.
    + Update packaging copyright years.
    + Add https://ftp.gnu.org/gnu/screen/ as additional download source.
  * Add some comments to document the reasons for some entries in
    debian/lintian-overrides.
  * Remove debian/dirs:
    + /etc/tmpfiles.d/ is shipped by systemd and only needed with systemd
    + Explicitly creating /etc/ seems no more necessary.
  * Mark 48screen-ipv6.patch as forwarded, it has been applied upstream.

 -- Axel Beckert <abe@debian.org>  Thu, 11 Jun 2015 01:02:06 +0200

screen (4.2.1-3) unstable; urgency=low

  * Cherry-pick 7d8fd3ad from upstream to fix segfaults with full screen
    text-mode applications and altscreen on (Closes: #681572)
  * Cherry-pick 8ffd5f46 from upstream to fix caption/hardstatus color
    rendering errors (Closes: #731388, LP: #1257895)
  * Add a very simple TAP-based DEP8 test suite under debian/tests/t.
  * Change Vcs-Browser header to new cgit web interface.
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Add lintian overrides for configure-generated-file-in-source as
    config.{log,status} are listed in debian/clean.

 -- Axel Beckert <abe@debian.org>  Thu, 09 Oct 2014 03:19:07 +0200
