=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: screen
 Section: misc
-Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
-Uploaders: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
-Standards-Version: 3.9.5
+Priority: standard
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9.20130504~),
                dh-autoreconf,
                dpkg-dev (>= 1.16.1~),
@@ -13,12 +13,15 @@
 Build-Conflicts: libelf-dev [!linux-any]
 Homepage: http://savannah.gnu.org/projects/screen
 Vcs-Git: git://anonscm.debian.org/collab-maint/screen.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/screen.git
+Testsuite: autopkgtest
 
 Package: screen
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: iselect (>= 1.4.0-1) | screenie | byobu
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: iselect (>= 1.4.0-1) | screenie | byobu,
+          ncurses-term
 Description: terminal multiplexer with VT100/ANSI terminal emulation
  GNU Screen is a terminal multiplexer that runs several separate "screens" on
  a single physical character-based terminal. Each virtual terminal emulates a
