=== debian/rules ===
--- 
+++ 
@@ -50,9 +50,6 @@
 	# Fix package-contains-info-dir-file, remove /usr/share/info/dir.gz
 	rm -f $(ROOT)/usr/share/info/dir*
 
-override_dh_installchangelogs:
-	dh_installchangelogs -k patchlevel.h
-
 override_dh_installinit:
 	dh_installinit --no-start --init-script='screen-cleanup'
