## screen 4.4.0

=== debian/changelog ===
screen (4.4.0-4) unstable; urgency=medium

  [ Jan C. Nordholz ]
  * Add patch to fix broken handling of "bind u digraph U+" (Closes:
    #831672)
  * Consistency fix for 60-screen-4.2.1-debian4.1.0-compatibility.patch.
  * Replace 80EXP_session_creation_time.patch with three smaller patches
    and reworked functionality. (Hopefully closes: #507817)

  [ Axel Beckert ]
  * Cherry-pick upstream commit 1babc3f7 to fix crash with
    bumpleft/bumpright on blank window.
  * debian/watch: Comment out Savannah download page. It's outdated and
    uscan insists on having only "one main upstream tarballs" URL.

 -- Axel Beckert <abe@debian.org>  Sun, 07 Aug 2016 17:50:16 +0200

screen (4.4.0-3) unstable; urgency=low

  * Add patch to set PATH_MAX to 4096 if undefined. Should fix
    FTBFS on GNU/Hurd since 4.4.0-1.

 -- Axel Beckert <abe@debian.org>  Tue, 21 Jun 2016 22:24:05 +0200

screen (4.4.0-2) unstable; urgency=low

  [ Roger Shimizu ]
  * Add udeb (debian-installer) support and ship a udeb/screenrc to
    emulate the console windows commonly found when running d-i. Thanks to
    Laurent Bigonville and Sven Joachim for providing ideas on building
    screen-udeb with less dependencies.  See discussion in #819358 and
    #819397. (Closes: #819988)

  [ Axel Beckert ]
  * Rename relevant files from debian/* to debian/screen.* to make clear
    that they don't affect other binary packages built by this source
    package.
  * Raise build-dependency on libncursesw5-dev ≥ 6.0+20160319-2 so that
    libtinfo5-udeb is available, too.

 -- Axel Beckert <abe@debian.org>  Tue, 21 Jun 2016 00:10:02 +0200

screen (4.4.0-1) unstable; urgency=low

  * New upstream release
    + Refresh patches where needed.
    + Update 60-screen-4.2.1-debian4.1.0-compatibility.patch to keep
      Debian's MSG_VERSION on 2.
    + Drop 61denial-of-service-stack-overflow-fix.patch (applied upstream)
    + Drop no more needed configure-generated-file-in-source lintian
      overrides and hence the whole debian/source/lintian-overrides file.
  * Change some URLs from http:// to https:// as suggested by DUCK.

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jun 2016 03:44:52 +0200

screen (4.3.1-3) unstable; urgency=medium

  [ Axel Beckert ]
  * Add CVE-ID to previous changelog entry and patch.
  * Remove screen-dbg package, there are automatic -dbgsym packages now.
  * Build-Conflict with libelf-dev on all instead of just non-linux
    architectures. (Closes: #819792)
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Enable all build-time hardening flags.
  * Use DEB_CFLAGS_MAINT_APPEND once instead of passing CFLAGS to all
    dh_auto_build invocations manually.
  * Switch Vcs-Git header from git:// to https://.
  * Switch Homepage header from http:// to https://.
  * Reorder alternatives in Suggests by popularity.
  * Build-Conflict with libutempter-dev to ensure consistent builds and
    not add further build-dependencies. This would hinder future udeb
    support as well as add a "Priority: optional" build-dependency to a
    "Priority: standard" package, which is unwanted. (Closes: #819781)
  * Add patch to fix some recent typo findings by Lintian.
  * debian/copyright: Update Joost Witteveen's e-mail address. Issue
    reported by DUCK.

  [ Sven Joachim ]
  * Add patch to prefer libtinfo over libcurses. (Closes: #819789)

 -- Axel Beckert <abe@debian.org>  Wed, 13 Apr 2016 00:33:50 +0200
